summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author André Geraldo Vieira2010-11-24 23:16:47 +0100
committer Heinz Wiesinger2010-11-24 23:21:16 +0100
commita867e8f9ac383306a2d2bbea72f736d872e41b8a (patch)
treec86c198fa36f7069f8979a59c60af60956fb43b6
parent6deca5e209468a636a71f86c7948581c0aca9e6e (diff)
downloadslackbuilds-a867e8f9ac383306a2d2bbea72f736d872e41b8a.tar.gz
games/hex-a-hop: Added. (hexagonal tile-based puzzle game)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
-rw-r--r--games/hex-a-hop/README6
-rw-r--r--games/hex-a-hop/hex-a-hop.SlackBuild78
-rw-r--r--games/hex-a-hop/hex-a-hop.info10
-rw-r--r--games/hex-a-hop/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/games/hex-a-hop/README b/games/hex-a-hop/README
new file mode 100644
index 0000000000..18c5b06b30
--- /dev/null
+++ b/games/hex-a-hop/README
@@ -0,0 +1,6 @@
+Hex-a-Hop is a hexagonal tile-based puzzle game with one simple
+goal: destroy all green tiles!
+
+There are infinite undos and no time limits -- you just have to
+find a way to destroy all the green tiles and step on a
+safe tile at the end.
diff --git a/games/hex-a-hop/hex-a-hop.SlackBuild b/games/hex-a-hop/hex-a-hop.SlackBuild
new file mode 100644
index 0000000000..2309e6b945
--- /dev/null
+++ b/games/hex-a-hop/hex-a-hop.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for Hex-a-Hop
+
+# Written by André Geraldo Vieira <andre.geraldo@gmail.com>
+
+PRGNAM=hex-a-hop
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/hex-a-hop/hex-a-hop.info b/games/hex-a-hop/hex-a-hop.info
new file mode 100644
index 0000000000..65cf2a407b
--- /dev/null
+++ b/games/hex-a-hop/hex-a-hop.info
@@ -0,0 +1,10 @@
+PRGNAM="hex-a-hop"
+VERSION="1.1.0"
+HOMEPAGE="http://hexahop.sourceforge.net/index.html"
+DOWNLOAD="http://downloads.sourceforge.net/hexahop/hex-a-hop-1.1.0.tar.gz"
+MD5SUM="cc8d065c2cc0fce9e08852b8c465175e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="André Geraldo Vieira"
+EMAIL="andre.geraldo@gmail.com"
+APPROVED="pprkut"
diff --git a/games/hex-a-hop/slack-desc b/games/hex-a-hop/slack-desc
new file mode 100644
index 0000000000..71e89a2b5d
--- /dev/null
+++ b/games/hex-a-hop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hex-a-hop: hex-a-hop (hexagonal tile-based puzzle game)
+hex-a-hop:
+hex-a-hop: Hex-a-Hop is a hexagonal tile-based puzzle game with one simple
+hex-a-hop: goal: destroy all green tiles!
+hex-a-hop:
+hex-a-hop: There are infinite undos and no time limits -- you just have to
+hex-a-hop: find a way to destroy all the green hex-a-hop: tiles and step on a
+hex-a-hop: safe tile at the end.
+hex-a-hop:
+hex-a-hop:
+hex-a-hop: